%define upstream_name    Tk-ToolBar
%define upstream_version 0.12

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	A toolbar widget for Perl/Tk
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Patch0:         Tk-ToolBar-0.12-noarch.patch
Source0:	http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:	perl(Tk::CursorControl)
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
This module implements a dockable toolbar. It is in the same spirit as the
"short-cut" toolbars found in most major applications, such as most web
browsers and text editors (where you find the "back" or "save" and other
shortcut buttons).

Buttons of any type (regular, menu, check, radio) can be created inside this
widget.  You can also create Label, Entry and LabEntry widgets.  Moreover, the
ToolBar itself can be made dockable, such that it can be dragged to any edge of
your window. Dragging is done in "real-time" so that you can see the contents
of your ToolBar as you are dragging it. Furthermore, if you are close to a
stickable edge, a visual indicator will show up along that edge to guide you.
ToolBars can be made "floatable" such that if they are dragged beyond their
associated window, they will detach and float on the desktop.
Also, multiple ToolBars are embeddable inside each other.

If you drag a ToolBar to within 15 pixels of an edge, it will stick to that
edge. If the ToolBar is further than 15 pixels away from an edge and still
inside the window, but you release it over another ToolBar widget, then it will
be embedded inside the second ToolBar. You can "un-embed" an embedded ToolBar
simply by dragging it out. You can change the 15 pixel limit using the
-close option.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type f -print0 | xargs -0 sed -i 's/\r$//'
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-6.mga8
+ Revision: 1498369
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 tv <tv> 0.120.0-5.mga7
+ Revision: 1272754
- make it really noarch
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ jquelin <jquelin>
- adding missing buildrequires:
- package is arch-dependent

* Thu Oct 15 2015 tv <tv> 0.120.0-3.mga6
+ Revision: 891792
- make it noarch thus fixing empty debuginfo

* Fri Jun 26 2015 tv <tv> 0.120.0-2.mga6
+ Revision: 845415
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 841185
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-11.mga5
+ Revision: 748067
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.100.0-10.mga5
+ Revision: 736161
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-9.mga5
+ Revision: 686733
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.100.0-8.mga5
+ Revision: 632349
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-7.mga4
+ Revision: 524139
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.100.0-6.mga4
+ Revision: 430225
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-5.mga3
+ Revision: 374476
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.100.0-4.mga3
+ Revision: 251284
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.100.0-3.mga2
+ Revision: 105092
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.100.0-2.mga1
+ Revision: 34410
- mageia rebuild
- imported package perl-Tk-ToolBar

